#include<stdio.h>
int n,m,veci=0;
void unos(int n,int granica[])
{
	for(int i=0;i<n;i++)
	{
		scanf("%d",&granica[i]);
		if(granica[i]>m/2)
		veci++;
	}
}
main()
{
	scanf("%d%d",&n,&m);
	int a[n][m],granica[n];
	unos(n,granica);
	if(veci<=n-veci)
		for(int i=0;i<n;i++)
		{
			int j;
			for(j=0;j<granica[i];j++)
			{
				if(granica[i]==m||(granica[i]>m/2&&granica[i]==j)) break;
				a[i][j]=1;
			}
			for(;j<m;j++)
				a[i][j]=0;
		}
	else
	{
		for(int i=0;i<n;i++)
        {
        	int j;
            for(j=0;j<granica[i];j++)
            {
                a[i][j]=1;
            }
            for(;j<m;j++)
            	a[i][j]=0;
        }
	}
	int k,suma=0;
	for(int j=0;j<m;j++)
    {
    	int i;
        for(k=0,i=0;i<n;i++)
        {
            if(a[i][j]==1)
            	k++;
        }
        suma=suma+k*(n-k);
    }
    printf("%d",suma);
}